| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_linear_interp_instance_f32 Struct Reference

Instance structure for the floating-point Linear Interpolate function. More...

## Data Fields
uint32_t | nValues
float32_t | x1
float32_t | xSpacing
float32_t * | pYData

## Description

Examples:
  arm_linear_interp_example_f32.c.

## Field Documentation

uint32_t arm_linear_interp_instance_f32::nValues

nValues

Referenced by arm_linear_interp_f32().

float32_t* arm_linear_interp_instance_f32::pYData

pointer to the table of Y values

Referenced by arm_linear_interp_f32().

float32_t arm_linear_interp_instance_f32::x1

x1

Referenced by arm_linear_interp_f32().

float32_t arm_linear_interp_instance_f32::xSpacing

xSpacing

Referenced by arm_linear_interp_f32().